
package de.ivu.elect.presentation.internet.table;

import javax.annotation.Nullable;

import de.ivu.elect.business.internet.entity.InternetSeite;
import de.ivu.elect.jee.faces.Messages;

public class InterneSeiteTypColumn extends AbstractInternetSeiteColumn<InternetSeite> {

  private static final long serialVersionUID = 1L;

  protected InterneSeiteTypColumn(AbstractInternetSeiteColumn<InternetSeite> statusColumn, Messages messages) {
    super(statusColumn.getId(), messages, statusColumn.getHeaderKey(), statusColumn.getType(), InternetSeite::getSeitenTyp);
  }

  @Override
  public boolean isIconPresent() {
    return true;
  }

  @Override
  public boolean isIconRendered(InternetSeite entity) {
    return entity != null;
  }

  @Nullable
  @Override
  public String getIcon(InternetSeite entity) {
    return entity.getSeitenTyp().getIcon();
  }
}
